---
lang: en
title: 'API docs: repository.modeltype'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.modeltype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ModelType](./repository.modeltype.md)

## ModelType class

Model type

<b>Signature:</b>

```typescript
export declare class ModelType<T extends Model> extends ObjectType<T> 
```
<b>Extends:</b> [ObjectType](./repository.objecttype.md)<!-- -->&lt;T&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(modelClass)](./repository.modeltype._constructor_.md) |  | Constructs a new instance of the <code>ModelType</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [modelClass](./repository.modeltype.modelclass.md) |  | [Class](./repository.class.md)<!-- -->&lt;T&gt; |  |
|  [name](./repository.modeltype.name.md) |  | string |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [serialize(value)](./repository.modeltype.serialize.md) |  |  |


